Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples

Accounts/Connections contain the information necessary to access a certain plugin (e.g. Google Drive, your own custom plugin, etc.) or database. When you add a database connection and click 'Connect', an account/connection is created, allowing you to retrieve datasets later on.

Note that accounts/connections use general terminology to accommodate various plugins as dataproviders. For example, a 'token' in Luzmo terminology corresponds to a 'password' in a database, whereas a 'scope' in Luzmo terminology may refer to a 'database' and can have a different meaning in a plugin.

Request parametersResponse schema
id UUID

The unique identifier of the entity

description Multilingual string

Internationalized description of the connection.

provider STRING

Slug of the system this connection points to. A slug is the short, unique name of a system you can connect to:

  • A database or data warehouse , which covers most connections: e.g. postgresql , mysql , sqlserver , redshift , snowflake , bigquery , databricks or mongodb .

  • A Google service : googleanalytics or googledrive .

  • A plugin : the slug of the plugin.

date DATETIME

Date/time this account was linked by the user. Defaults to the current date.

expiry DATETIME

Expiry date of the credentials.

scope STRING

Provider-specific description of services used (eg. which accesses were granted, which database is used, ...).

host STRING

Endpoint of this account. For relational database connections, this corresponds to the hostname of the database.

name STRING

Name of this account.

active BOOLEAN

Indicates whether queries may be sent to this database or plugin connection. You can use this field to eg. temporarily disable any connections / queries. This might be useful in case of elevated stress on your systems.

invalid BOOLEAN

Read-only. Indicates whether this connection has been disabled because the source system reported that the used credentials are invalid.

identifier STRING

Key or username of this account.

port STRING

Port of this connection. For relational database connections, this corresponds to the port of the database.

cache NUMBER

Defaults to 0. Number of seconds queries to this data connector are cached in Luzmo's caching layer. Use 0 to disable caching for this connector entirely. Note that queries might still not be cached if there are other uncached data connectors called in a query. You can invalidate the cache before the expiry time by calling the update method on the data endpoint.

code STRING

OAuth2 authorization code used to retrieve an access token and refresh token. Supported for OAuth2 providers during create and update.

datasets_meta_sync_enabled BOOLEAN

Indicates whether automatic metadata sync is enabled for all connection datasets with meta_sync_inherit=true.

Default value:true
datasets_meta_sync_interval NUMBER

Metadata sync interval in hours for connection datasets with meta_sync_inherit=true.

Default value:1
synced BOOLEAN

Indicates whether the connection credentials have been synchronized.

user_id STRING

ID of the user that created this connection.

plugin_id STRING

ID of the plugin backing this connection, or null for native database connectors.

shareable_id STRING

ID of the shareable resource linked to this connection. This is the ID you share a connection with: associate it to a User or Group using the Shareables role. Note that you associate the shareable_id , not the connection id .

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be executed by:
Logged-in User
Can be associated to:
User
Plugin
Datasets
Shareable
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "properties": {},
  "date": "2024-01-13T13:42:05.736Z",
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "provider": "demodataplugin",
  "name": "Demo data connection",
  "description": {
    "en": "test for demo data connection"
  },
  "id": "35ce5450-a4e8-446b-8ab3-3845a0d07022",
  "user_id": "690b7bd5-2c92-4432-ba47-35d785df1bi4",
  "updated_at": "2024-01-13T13:42:05.757Z",
  "created_at": "2024-01-13T13:42:05.738Z",
  "identifier": null,
  "expiry": null,
  "scope": null,
  "host": null,
  "port": null,
  "version": null,
  "plugin_id": "1a79f0a4-b07e-45e5-aef6-1bcd4a12cb7a",
  "shareable_id": "662e71d8-739b-248b-8519-960693816648"
}